# HS2024 - Seminar Cryptocurrencies and Smart Contracts

Please see the [ILIAS module](https://ilias.unibe.ch/goto.php?target=crs_3102234) of the seminar for all other information.

## List of Layer-1 Projects

| Blockchain | Organization and Network | Documentation | Testnets | Smart-contract Programming |
| ------ | ------ | ------ |  ------ | ------ |
|  Ethereum (ETH)  |  [Ethereum Foundation](https://ethereum.org/)  |  [Ethereum WP](https://ethereum.org/en/whitepaper/);  [Consensus Evolution Blog](https://github.com/ethereum/pos-evolution/blob/master/pos-evolution.md)  |  [List of Testnets](https://www.alchemy.com/list-of/testnets-on-ethereum); [Another list](https://moralis.io/ethereum-testnet-full-ethereum-test-network-guide/)  |  [Tutorial](https://www.web3.university/tracks/create-a-smart-contract/deploy-your-first-smart-contract)  |
|  Binance Smartchain (BNB)  |  TBD  |  TBD  |  TBD  |  TBD  |
|  Solana (SOL)  |  TBD  |  TBD  |  TBD  |  TBD  |
|  XRP Ledger (XRP)  |  [Ripple](https://ripple.com); [XRP Ledger](https://xrpl.org)  |  [Consensus docs](https://xrpl.org/docs/concepts/consensus-protocol); [Research paper](https://doi.org/10.4230/LIPIcs.OPODIS.2020.10)  |    [Testnets](https://xrpl.org/resources/dev-tools/xrp-faucets/)    |    [Hooks](https://xrpl-hooks.readme.io/docs/introduction)    |
|  Cardano (ADA)  |  [Input-Output](https://iohk.io); [Cardano Foundation](https://cardanofoundation.org/); [Cardano Ecosystem](https://cardano.org/)  |  [Protocol docs](https://docs.cardano.org/about-cardano/new-to-cardano/proof-of-stake/); [Papers](https://docs.cardano.org/about-cardano/explore-more/relevant-research-papers/)  |  [Testnets](https://docs.cardano.org/cardano-testnets/getting-started/)  |  [Introduction](https://developers.cardano.org/docs/smart-contracts/)  |
|  Avalanche (AVAX)  |  [Ava Labs](https://www.avalabs.org); [AVAX Network](https://www.avax.network/)  |  [Protocol docs](https://docs.avax.network/learn/avalanche-consensus);  [Paper](https://arxiv.org/abs/2401.02811)  |  [Fuji Testnet](https://docs.avax.network/build/subnet/deploy/fuji-testnet-subnet)  |  [Tutorial](https://docs.avax.network/build/dapp/smart-contracts/remix-deploy)  |
|  Polkadot (DOT)  |  [Web3 Foundation](https://web3.foundation); [Polkadot](https://polkadot.network/)  |  [Lightpaper](https://assets.polkadot.network/Polkadot-lightpaper.pdf);  [Protocol docs](https://wiki.polkadot.network/docs/learn-index)  |  [Testnets](https://wiki.polkadot.network/docs/maintain-networks)  |  [Tutorial](https://wiki.polkadot.network/docs/build-smart-contracts)   |
|  Internet Computer (ICP)  |  [DFINITY](https://dfinity.org/);  [Internet Computer](https://internetcomputer.org)  |  [Whitepaper](https://internetcomputer.org/whitepaper.pdf); [Docs](https://internetcomputer.org/docs/current/home)  |  [Local Testnet](https://internetcomputer.org/docs/current/developer-docs/getting-started/deploy/local)  |  [Developer docs](https://internetcomputer.org/docs/current/home)  |
|  Stellar (XLM)  |  [Stellar](https://stellar.org/)  |  [Whitepaper (see PDF inside)](https://stellar.org/learn/stellar-consensus-protocol); [Consensus docs](https://developers.stellar.org/docs/learn/fundamentals/stellar-consensus-protocol)  |  [Testnet](https://developers.stellar.org/docs/learn/fundamentals/networks)  |  [Soroban](https://stellar.org/soroban); [Docs](https://stellar.org/learn/smart-contract-basics)     |
|  Filecoin (FIL)  |  [Protocol Labs](https://protocol.ai); [Filecoin](https://filecoin.io/)  |  [Whitepaper](https://filecoin.io/filecoin.pdf);  [Protocol docs](https://docs.filecoin.io/);  [Consensus docs](https://docs.filecoin.io/basics/interplanetary-consensus)  |  [Testnet](https://docs.filecoin.io/basics/what-is-filecoin/networks)  |  [Developer docs](https://fvm.filecoin.io/)  |
|  Cosmos (ATOM)  |  [Interchain Foundation](https://interchain.io/technology); [Cosmos](https://cosmos.network)  |  [Cosmos introduction](https://tutorials.cosmos.network/academy/1-what-is-cosmos/); [Tendermint/CometBFT](https://docs.cometbft.com/); [IBC](https://arxiv.org/pdf/2006.15918); [Whitepaper (outdated)](https://github.com/cosmos/cosmos/blob/master/WHITEPAPER.md); [Apps](https://tutorials.cosmos.network/academy/2-cosmos-concepts/1-architecture.html)  |  TBD: Testnet  |  TBD: Programming | 


## List of Layer-2 Projects

| Layer-2 Project | Organization and Network | Documentation | Testnets | Programming |
| ------ | ------ | ------ | ------ | ------ |
|  Arbitrum (ARB)  |  [Offchain Labs](https://www.offchainlabs.com); [Arbitrum](https://arbitrum.io/)  |  [Academic Paper](https://www.usenix.org/system/files/conference/usenixsecurity18/sec18-kalodner.pdf);  [Whitepaper](https://docs.arbitrum.io/how-arbitrum-works/inside-arbitrum-nitro); [Docs](https://docs.arbitrum.io/)  |  [Local Testnet](https://docs.arbitrum.io/stylus/reference/testnet-information)  |   [Tutorial](https://docs.arbitrum.io/build-decentralized-apps/quickstart-solidity-hardhat)    |
|  Starknet (STRK)  |  [Starkware](https://starkware.co/stark/); [Starknet](https://www.starknet.io)  |  [Docs](https://docs.starknet.io)  |  [Ciro](https://starkware.co/cairo/)  |
|  ZkSync  |  [Matter Labs](https://matter-labs.io); [ZkSync](https://zksync.io/)    |   [Docs](https://docs.zksync.io); [TBD](https://docs.zksync.io/build/quick-start)  |
|   Linea     |    [Linea](https://linea.build/)    |        |    [Basics](https://www.hackquest.io/en/learning-track/9be129e7-575b-49bd-a64e-1bbe32427ace)    |
|   ChainLink     |     [Chainlink](https://chain.link/)   |    [Local Testnet](https://docs.chain.link/vrf/v2/subscription/examples/test-locally)    |    [Developer docs](https://docs.chain.link/getting-started/conceptual-overview)    |


## Further Projects (Layer 3 or in Decentralized Finance)

| Rollup | Organization Link | Research Papers | Contracts |
| ------ | ------ | ------ | ------ |
|   EigenLayer      |  [EigenLayer](https://www.eigenlayer.xyz/)      |   [Local Testnet](https://medium.com/@ilaNihas/eigenlayer-a-step-by-step-guide-to-testnet-node-setup-e242f4e35344)     |       |


